## org.apache.commons.collections.functors
Class TransformedPredicate

    java.lang.Object
      org.apache.commons.collections.functors.TransformedPredicate

All Implemented Interfaces:
  Predicate, PredicateDecorator, Serializable

public final class TransformedPredicate
extends Object
implements Predicate, PredicateDecorator, Serializable

Predicate implementation that transforms the given object before invoking another `Predicate`.

Since:
  Commons Collections 3.1
Version:
  $Revision: 1.4 $ $Date: 2004/05/31 16:43:17 $
Author:
  Alban Peignier, Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`TransformedPredicate(Transformer transformer, Predicate predicate)` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(Object object)` Evaluates the predicate returning the result of the decorated predicate once the input has been transformed
`static Predicate` `getInstance(Transformer transformer, Predicate predicate)` Factory to create the predicate.
`Predicate[]` `getPredicates()` Gets the predicate being decorated.
`Transformer` `getTransformer()` Gets the transformer in use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformedPredicate

    public TransformedPredicate(Transformer transformer,
                                Predicate predicate)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `transformer` - the transformer to use
  `predicate` - the predicate to decorate

Method Detail

### getInstance

    public static Predicate getInstance(Transformer transformer,
                                        Predicate predicate)

  Factory to create the predicate.

  Parameters:
    `transformer` - the transformer to call
    `predicate` - the predicate to call with the result of the transform
  Returns:
    the predicate
  Throws:
    `IllegalArgumentException` - if the transformer or the predicate is null

### evaluate

    public boolean evaluate(Object object)

  Evaluates the predicate returning the result of the decorated predicate once the input has been transformed

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object which will be transformed
  Returns:
    true if decorated predicate returns true

### getPredicates

    public Predicate[] getPredicates()

  Gets the predicate being decorated.

  Specified by:
    `getPredicates` in interface `PredicateDecorator`
  Returns:
    the predicate as the only element in an array
  Since:
    Commons Collections 3.1

### getTransformer

    public Transformer getTransformer()

  Gets the transformer in use.

  Returns:
    the transformer

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.